vgp.curve.common

## Class PnSurfaceOde

- java.lang.Object
- - jv.object.PsObject
  - - jvx.numeric.PnOde
    - - vgp.curve.common.PnSurfaceOde

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf
  Direct Known Subclasses:
    PnAsymptOde, PnGeodesicOde, PnPrincipalCurvatureOde, PnShadeOde

      public class PnSurfaceOde
      extends PnOde

  Solver for ordinary differential equations on a surface.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnSurfaceOde()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PgSurfaceDescr` | `getSurface()`
    `void` | `init()` If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
    `void` | `setSurface(PgSurfaceDescr s)`
    `void` | `solve(PgPolygon p)`
    `boolean` | `solve(PgPolygon p, double xStart, double[] yStart, double h, double xLength)`

    - ### Methods inherited from class jvx.numeric.PnOde

      `diffEquation, rungeKutta, setInitialData, setOrder, solve`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PnSurfaceOde

          public PnSurfaceOde()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsObject`
      If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
      Overrides:
        `init` in class `PnOde`

    - #### setSurface

          public void setSurface(PgSurfaceDescr s)

    - #### getSurface

          public PgSurfaceDescr getSurface()

    - #### solve

          public void solve(PgPolygon p)

      Overrides:
        `solve` in class `PnOde`

    - #### solve

          public boolean solve(PgPolygon p,
                      double xStart,
                      double[] yStart,
                      double h,
                      double xLength)

"

The software JavaView? is copyright protected. All Rights Reserved.
"